/*
 * @(#)LocaleElements.java	1.16 97/02/24
 *
 * (C) Copyright Taligent, Inc. 1996, 1997 - All Rights Reserved
 * (C) Copyright IBM Corp. 1996, 1997 - All Rights Reserved
 *
 * Portions copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 *   The original version of this source code and documentation is copyrighted
 * and owned by Taligent, Inc., a wholly-owned subsidiary of IBM. These
 * materials are provided under terms of a License Agreement between Taligent
 * and Sun. This technology is protected by multiple US and International
 * patents. This notice and attribution to Taligent may not be removed.
 *   Taligent is a registered trademark of Taligent, Inc.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

/**
 *
 * Table of Java supplied standard locale elements
 *
 * automatically generated by java LocaleTool LocaleElements.java
 *
 * Date Created: Wed Aug 21 15:47:57  1996
 *
 *     Locale Elements and Patterns:  last update 10/23/96
 *
 *
 */

// WARNING : the format of this file will change in the future!

package java.text.resources;

public class LocaleElements extends LocaleData {

    public LocaleElements() {
        super.init(table);
    }

    static String table []={
        "en_US", /*locale id based on iso codes*/
        "0409", /*Windows id*/
        "enu", /*iso-3 abbrev lang name*/
        "USA", /*iso-3 abbrev country name*/
        "en_English; de_Englisch; fr_anglais", /*language names*/
        "en_United States; de_Vereinigte Staaten; fr_tats-Unis", /*country names*/
        "January", /*january*/
        "February", /*february*/
        "March", /*march*/
        "April", /*april*/
        "May", /*may*/
        "June", /*june*/
        "July", /*july*/
        "August", /*august*/
        "September", /*september*/
        "October", /*october*/
        "November", /*november*/
        "December", /*december*/
        "", /*month 13 if applicable*/
        "Jan", /*abb january*/
        "Feb", /*abb february*/
        "Mar", /*abb march*/
        "Apr", /*abb april*/
        "May", /*abb may*/
        "Jun", /*abb june*/
        "Jul", /*abb july*/
        "Aug", /*abb august*/
        "Sep", /*abb september*/
        "Oct", /*abb october*/
        "Nov", /*abb november*/
        "Dec", /*abb december*/
        "", /*abb month 13 if applicable*/
        "Sunday", /*Sunday*/
        "Monday", /*Monday*/
        "Tuesday", /*Tuesday*/
        "Wednesday", /*Wednesday*/
        "Thursday", /*Thursday*/
        "Friday", /*Friday*/
        "Saturday", /*Saturday*/
        "Sun", /*abb Sunday*/
        "Mon", /*abb Monday*/
        "Tue", /*abb Tuesday*/
        "Wed", /*abb Wednesday*/
        "Thu", /*abb Thursday*/
        "Fri", /*abb Friday*/
        "Sat", /*abb Saturday*/
        "AM", /*am marker*/
        "PM", /*pm marker*/
        "BC;AD", /*era strings*/
        "#,##0.###;-#,##0.###", /*decimal pattern*/
        "$#,##0.00;($#,##0.00)", /*currency pattern*/
        "#,##0%", /*percent pattern*/
        ".", /*decimal separator*/
        ",", /*group (thousands) separator*/
        ";", /*list separator*/
        "%", /*percent sign*/
        "0", /*native 0 digit*/
        "#", /*pattern digit*/
        "-", /*minus sign*/
        "E", /*exponential*/
        "$", /*local currency symbol*/
        "USD", /*intl currency symbol*/
        ".", /*monetary decimal separator*/
        "h:mm:ss 'o''''clock' a z", /*full time pattern*/
        "h:mm:ss a z", /*long time pattern*/
        "h:mm:ss a", /*medium time pattern*/
        "h:mm a", /*short time pattern*/
        "EEEE, MMMM d, yyyy", /*full date pattern*/
        "MMMM d, yyyy", /*long date pattern*/
        "dd-MMM-yy", /*medium date pattern*/
        "M/d/yy", /*short date pattern*/
        "{1} {0}", /*date-time pattern*/
        "1", /*first day of week*/
        "1", /*min days in first week*/
        ""
    };
}
