/*
 * @(#)LocaleElements_hu.java	1.6 97/03/03
 *
 * (C) Copyright Taligent, Inc. 1996, 1997 - All Rights Reserved
 * (C) Copyright IBM Corp. 1996, 1997 - All Rights Reserved
 *
 * Portions copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 *   The original version of this source code and documentation is copyrighted
 * and owned by Taligent, Inc., a wholly-owned subsidiary of IBM. These
 * materials are provided under terms of a License Agreement between Taligent
 * and Sun. This technology is protected by multiple US and International
 * patents. This notice and attribution to Taligent may not be removed.
 *   Taligent is a registered trademark of Taligent, Inc.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

/**
 *
 * Table of Java supplied standard locale elements
 *
 * automatically generated by java LocaleTool LocaleElements.java
 *
 * Date Created: Wed Aug 21 15:47:57  1996
 *
 *     Locale Elements and Patterns:  last update 10/23/96
 *
 *
 */

// WARNING : the format of this file will change in the future!

package java.text.resources;

public class LocaleElements_hu extends LocaleData {

    public LocaleElements_hu() {
        super.init(table);
    }

    static String table []={
		/* locale id based on iso codes */        "hu_HU",
		/* Windows id */                          "040e",
		/* iso: 3 character lang name */          "hun",
		/* iso: 3 character country name */       "HUN",
		/* language names */                      "en_Hungarian; hu_Magyar",
		/* country names */                       "en_Hungary; hu_Magyarosz\u00E1g",
		/* january */                             "J\u00e1nu\u00e1r",
		/* february */                            "Febru\u00e1r",
		/* march */                               "M\u00e1rcius",
		/* april */                               "\u00c1prilis",
		/* may */                                 "M\u00e1jus",
		/* june */                                "J\u00danius",
		/* july */                                "J\u00dalius",
		/* august */                              "Augusztus",
		/* september */                           "Szeptember",
		/* october */                             "Okt\u00f3ber",
		/* november */                            "November",
		/* december */                            "December",
		/* month 13 if applicable */              "",
		/* abb january */                         "J\u00e1n",
		/* abb february */                        "Febr",
		/* abb march */                           "M\u00e1rc",
		/* abb april */                           "\u00c1pr",
		/* abb may */                             "M\u00e1j",
		/* abb june */                            "J\u00fan",
		/* abb july */                            "J\u00fal",
		/* abb august */                          "Aug",
		/* abb september */                       "Szept",
		/* abb october */                         "Okt",
		/* abb november */                        "Nov",
		/* abb december */                        "Dec",
		/* abb month 13 if applicable */          "",
		/* sunday */                              "Vas\u00e1rnap",
		/* monday */                              "H\u00e9tf\u00f4",
		/* tuesday */                             "Kedd",
		/* wednesday */                           "Szerda",
		/* thursday */                            "Cs\u00fct\u00f6rt\u00f6k",
		/* friday */                              "P\u00e9ntek",
		/* saturday */                            "Szombat",
		/* abb sunday */                          "V",
		/* abb monday */                          "HH",
		/* abb tuesday */                         "KK",
		/* abb wednesday */                       "Sze",
		/* abb thursday */                        "Cs",
		/* abb friday */                          "PP",
		/* abb saturday */                        "Szo",
		/* am marker; default is AM */            "AM",
		/* pm marker; default is PM */            "PM",
		/* era strings */                         "i.e.;i.u.",
		/* decimal pattern */                     "#,##0.###;-#,##0.###",
		/* currency pattern */                    "FT#,##0.##;-FT#,##0.##",
		/* percent pattern */                     "#,##0%",
		/* decimal separator */                   ",",
		/* group (thousands) separator */         " ", // this is a space: \u0020
		/* list separator  */                     "",
		/* percent sign */                        "%",
		/* native 0 digit */                      "0",
		/* pattern digit */                       "#",
		/* minus sign */                          "-",
		/* exponential */                         "E",
		/* local currency symbol */               "FT",
		/* intl currency symbol */                "HUF",
		/* monetary decimal separator */          ",",
		/* Full time pattern */                   "H:mm:ss z",
		/* Long time pattern */                   "H:mm:ss z",
		/* Default time pattern */                "H:mm:ss",
		/* Short time pattern */                  "H:mm",
		/* Full date pattern */                   "EEEE, yyyy, MMMM d",
		/* Long date pattern */                   "yyyy, MMMM d",
		/* Default date pattern */                "yyyy-M-d",
		/* Short date pattern */                  "yy-M-d",
		/* Date-Time pattern */                   "{1} {0}",
		/* First day of week */                   "1",
		/* Min days in first week*/               "1",
		/* for HU_HU, default sorting except for the following: */
		/* add cs "ligature" between c and d. */
		/* add d<stroke> between d and e. */
		/* add gy "ligature" between g and h. */
		/* add ly "ligature" between l and l<stroke>. */
		/* add l<stroke> between l and m. */
		/* add sz "ligature" between s and t. */
		/* add zs "ligature" between z and z<abovedot> */
		/* add z<abovedot> after z.       */
		 "& C < cs, Cs, cS, CS"                        /* cs ligature */
		+"& D < \u0111, \u0110"                        /* d<stroke> */
		+"& G < gy, Gy, gY, GY"                        /* gy ligature */
		+"& L < ly, Ly, lY, LY < \u0142, \u0141"       /* ly ligature */
		+"& S < sz, Sz, sZ, SZ"                        /* sz ligature */
		+"& Z < zs, Zs, zS, ZS < \u017c, \u017b"       /* zs ligature */
    };
}
